% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rawrr.R
\name{filter}
\alias{filter}
\title{determine scan numbers which match a specified filter}
\usage{
filter(rawfile, filter = "ms", precision = 10, tmpdir = tempdir())
}
\arguments{
\item{rawfile}{the name of the raw file containing the mass spectrometry data from the Thermo Fisher Scientific instrument.}

\item{filter}{scan filter string, e.g., \code{ms} or \code{ms2}}

\item{precision}{mass precision, default is 10.}

\item{tmpdir}{defines the directory used to store temporary data generated by
the .NET assembly \code{rawrr.exe}. The default uses the output of
\code{tempdir()}.}
}
\value{
a vecntor of integer values.
}
\description{
determine scan numbers which match a specified filter
}
